import json
from flask_restful import Resource
from flask import current_app as app, jsonify

class Archive_Query(Resource):
    def post(self, query:str):
        db = app.databases["Archive"]

        result = db.run_query(query)

        if result is None:
            response = app.response_class(status=400)
        else:
            response = app.response_class(
                response=json.dumps(result, ensure_ascii=False, indent=1),
                status=200,
                mimetype='application/json'
            )

        response.headers.add("Access-Control-Allow-Origin", "*")
        return response   